package com.trade.common.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Name the logger file.
 */
public class LoggerUtil {

    public static Logger logger(LogFileNameEnum fileName) {
        return LoggerFactory.getLogger(fileName.getValue());
    }

    public enum LogFileNameEnum {

        /** 系统日志 **/
        SYS_LOG("sysLog"),
        /** 线程调度日志 **/
        THREAD_LOG("thread-log"),
        /** 业务相关日志 **/
        SERVICES_LOG("service-log");

        private String value;

        LogFileNameEnum(String value){
            this.value = value;
        }

        public String getValue() {
            return value;
        }
    }
}
